Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 703904 - net-irc/quassel-0.13.1 : /.../qmetatype.h:818:16: error: ambiguous overload for operator<< (operand types are QDataStream and const DccConfig::IpDetectionMode )
Summary: net-irc/quassel-0.13.1 : /.../qmetatype.h:818:16: error: ambiguous overload f...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick Lauer
URL: https://bugs.quassel-irc.org/issues/1544
Whiteboard:
Keywords:
Depends on:
Blocks: qt-5.14
  Show dependency tree
 
Reported: 2019-12-26 21:21 UTC by Toralf Förster
Modified: 2020-01-07 22:28 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.93 KB, text/plain)
2019-12-26 21:22 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,234.19 KB, text/plain)
2019-12-26 21:22 UTC, Toralf Förster
Details
environment (environment,152.60 KB, text/plain)
2019-12-26 21:22 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,20.55 KB, application/x-bzip)
2019-12-26 21:22 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.29 KB, application/x-bzip)
2019-12-26 21:22 UTC, Toralf Förster
Details
net-irc:quassel-0.13.1:20191226-035453.log (net-irc:quassel-0.13.1:20191226-035453.log,114.25 KB, text/plain)
2019-12-26 21:22 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,40.37 KB, application/x-bzip)
2019-12-26 21:22 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-12-26 21:21:59 UTC
/usr/include/qt5/QtCore/qmetatype.h:1802:39:   required from ‘void qRegisterMetaTypeStreamOperators(const char*, T*) [with T = DccConfig::IpDetectionMode]’
/var/tmp/portage/net-irc/quassel-0.13.1/work/quassel-0.13.1/src/common/dccconfig.cpp:33:87:   required from here
/usr/include/qt5/QtCore/qmetatype.h:818:16: error: ambiguous overload for ‘operator<<’ (operand types are ‘QDataStream’ and ‘const DccConfig::IpDetectionMode’)
  818 |         stream << *static_cast<const T*>(t);
      |         ~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from /usr/include/qt5/QtCore/QDataStream:1,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20191220-101006

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.13.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 25 Dec 2019 23:32:18 +0000

emerge -qpvO net-irc/quassel
[ebuild  N    ] net-irc/quassel-0.13.1  USE="X crypt dbus ldap server ssl -bundled-icons -debug -kde -monolithic -oxygen -postgres -snorenotify -syslog -urlpreview"
Comment 1 Toralf Förster gentoo-dev 2019-12-26 21:22:02 UTC
Created attachment 600792 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-12-26 21:22:05 UTC
Created attachment 600794 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2019-12-26 21:22:08 UTC
Created attachment 600796 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2019-12-26 21:22:11 UTC
Created attachment 600798 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2019-12-26 21:22:13 UTC
Created attachment 600800 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2019-12-26 21:22:16 UTC
Created attachment 600802 [details]
net-irc:quassel-0.13.1:20191226-035453.log
Comment 7 Toralf Förster gentoo-dev 2019-12-26 21:22:19 UTC
Created attachment 600804 [details]
temp.tbz2
Comment 8 crabbed halo ablution 2020-01-04 08:26:27 UTC
URL: https://bugs.quassel-irc.org/issues/1544
Comment 9 Johannes Huber gentoo-dev 2020-01-04 10:16:40 UTC
(In reply to crabbed halo ablution from comment #8)
> URL: https://bugs.quassel-irc.org/issues/1544

Thanks.
Comment 10 crabbed halo ablution 2020-01-04 13:20:48 UTC
If anyone wants to try fixing it, there's a fix for a similar bug in musescore here:
https://github.com/musescore/MuseScore/pull/5583
(With helpful explanation)
Comment 11 Larry the Git Cow gentoo-dev 2020-01-07 22:28:03 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=17e237e072a6205547e2c43e99cc2bbc5914ff00

commit 17e237e072a6205547e2c43e99cc2bbc5914ff00
Author:     Johannes Huber <johu@gentoo.org>
AuthorDate: 2020-01-07 22:27:34 +0000
Commit:     Johannes Huber <johu@gentoo.org>
CommitDate: 2020-01-07 22:27:51 +0000

    net-irc/quassel: Fix build w/ Qt 5.14
    
    Adds upstream patch by Manuel Nickschas <sputnick@quassel-irc.org>.
    
    Closes: https://bugs.gentoo.org/703904
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Johannes Huber <johu@gentoo.org>

 net-irc/quassel/files/quassel-0.13.1-qt5.14.patch | 118 +++++++++++++
 net-irc/quassel/quassel-0.13.1-r1.ebuild          | 192 ++++++++++++++++++++++
 2 files changed, 310 insertions(+)